Page MenuHomePhabricator

PHPUnit: Cover methods in content-providers/DefaultContentProvider.php with unit tests
Closed, ResolvedPublic

Description

Code coverage for the content-providers/DefaultContentProvider.php is 0% and unit tests should be written to cover all it's code.

Acceptance Criteria

  • Cover all methods in the file class
  • Code Coverage has gone up to 100%

Event Timeline

D3r1ck01 claimed this task.Nov 24 2018, 9:15 PM
D3r1ck01 created this task.
D3r1ck01 added a project: User-D3r1ck01.
D3r1ck01 moved this task from Backlog to Doing [WIP] on the User-D3r1ck01 board.

Change 475598 had a related patch set uploaded (by D3r1ck01; owner: Alangi Derick):
[mediawiki/extensions/MobileFrontend@master] Add PHPUnit test cases for DefaultContentProvider::class

https://gerrit.wikimedia.org/r/475598

Jdlrobson triaged this task as Low priority.Nov 26 2018, 5:26 PM

Change 475598 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Add PHPUnit test cases for DefaultContentProvider::class

https://gerrit.wikimedia.org/r/475598

pmiazga removed pmiazga as the assignee of this task.Nov 28 2018, 6:04 PM
pmiazga closed this task as Resolved.Nov 28 2018, 9:19 PM
pmiazga removed a project: Patch-For-Review.
D3r1ck01 claimed this task.Dec 5 2018, 9:39 PM
D3r1ck01 awarded a token.